<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<style>
    td {
        border: 1px solid grey;
        width: 50%;
    }
</style>
<body>
    <div id="input-div">
        <select name="products" class="products">
            <div id="dropdown" class="dropdown-content">
                <option value="asparagous" id="asparagous">Asparagous</option>
                <option value="spinach" id="spinach">Spinach</option>
                <option value="avacado" id="avacado">Avacado</option>
                <option value="dandelion" id="dandelion">Dandelion</option>
                <option value="italianParsely" id="italianParsely">Italian Parsely</option>
                <option value="eggplant" id="eggplant">Eggplant</option>
            </div>
        </select>
        <button id="add" onclick="addToCart()">Add to cart!</button>
        <button id="checkout" onclick="checkout()">Checkout</button>
        <hr>
        <ul id="productListItems"></ul>
    </div>
    <div id="checkout-div" style="display:none">
        <h3>The total price is $<span id="price"></span></h3>
        <table >
            <thead>
                <tr>
                    <td>Item</td>
                    <td>Price</td>
            </thead>
            <tbody id="checkoutTable"></tbody>
        </table>
    <!-- Add here -->
    </div>
</body>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>
    var cart = [];
    var total = 0;
    var index = 0;

    function addToCart() {
        var currentItem = $(".products").val();
        var price = 5;
        cart.push(currentItem);
        updateList(currentItem);
        addToCheckout(currentItem, price);
        total += price;
        console.log(cart);
    }

    function updateList(currentItemVal) {
        var fieldHtml = "<li>" + currentItemVal + "</li>";
        $("#productListItems").append(fieldHtml);
        index++;
    }
    
    function addToCheckout(currentItemVal, price) {
        var table = $("#checkoutTable");
        var rowHtml = "<tr><td>" + currentItemVal + "</td><td>$ " + price.toFixed(2) + "</td></tr>";
        table.append(rowHtml);
    }

    function checkout() {
        $("#input-div").toggle();
        $("#checkout-div").toggle();
        $("#price").append(total.toFixed(2));
    }
</script>
</html>
